<?php

/**
 * @package     EasyStore.Site
 * @subpackage  com_easystore
 *
 * @copyright   Copyright (C) 2023 JoomShaper <https://www.joomshaper.com>. All rights reserved.
 * @license     GNU General Public License version 3; see LICENSE
 */

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

use Joomla\CMS\Factory;
use Joomla\CMS\Filesystem\Path;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;

extract($displayData);

$app = Factory::getApplication();
$input = $app->input;
$option = $input->get('option', '', 'STRING');
$optionView = $input->get('view', '', 'STRING');
$context = $option . '.' . $optionView;
$isEditor = ($context === 'com_sppagebuilder.form' || $context === 'com_sppagebuilder.ajax');

$showLink = $link ?? false;
$openInLightbox = $open_in_lightbox ?? false;
$isToggleThumbnail = $toggleImage ?? false;
$secondaryThumbnail = $isToggleThumbnail && !empty($item->media->gallery[1]) ? $item->media->gallery[1] : false;
$origin = $origin ?? 'list';
$thumbnailPlaceholder = Uri::root(true) . Path::clean('/media/com_easystore/images/thumbnail-placeholder.svg');
?>

<?php if (!empty($item->thumbnail)) : ?>
    <div class="easystore-product-image"<?php echo !$isEditor ? ' easystore-thumbnail-wrapper' : ''; ?>>
        <?php if ($origin === 'list') : ?>
            <?php if (!$isEditor) : ?>
                <img src="<?php echo $thumbnailPlaceholder; ?>" alt="<?php echo $item->thumbnail->alt_text; ?>" data-src="<?php echo $item->thumbnail->src; ?>" data-unveil loading="lazy">
            <?php else : ?>
                <img src="<?php echo $item->thumbnail->src; ?>">
            <?php endif; ?>
            <?php if ($isToggleThumbnail) : ?>
                <img class="easystore-product-image-o" src="<?php echo $thumbnailPlaceholder; ?>" data-src="<?php echo $secondaryThumbnail->src; ?>" alt="<?php echo $secondaryThumbnail->alt_text ?? ''; ?>" loading="lazy">
            <?php endif; ?>
            <?php if (!$isEditor) : ?>
                <div class="easystore-thumb-skeleton"></div>
            <?php endif; ?>
        <?php else : ?>
            <img src="<?php echo $item->thumbnail->src; ?>" alt="<?php echo $item->thumbnail->alt_text; ?>" x-ref="productThumbnail" />
        <?php endif; ?>

        <?php if ($showLink) : ?>
            <a class="stretched-link" href="<?= $item->link; ?>"><span class="visually-hidden"><?php echo Text::_('COM_EASYSTORE_DETAILS'); ?></span></a>
        <?php endif; ?>
    </div>
<?php endif; ?>