<?php

/**
 * @package     EasyStore.Site
 * @subpackage  com_easystore
 *
 * @copyright   Copyright (C) 2023 JoomShaper <https://www.joomshaper.com>. All rights reserved.
 * @license     GNU General Public License version 3; see LICENSE
 */

namespace JoomShaper\Component\EasyStore\Site\Email;

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

/**
 * Interface for email class.
 *
 * @since 1.0.0
 */
interface EmailInterface
{
    /**
     * Method to send email.
     *
     * @return bool Return true if successfully send email.
     *
     * @since 1.0.0
     */
    public function send();
}
