<?php

/**
 * @package     EasyStore.Site
 * @subpackage  com_easystore
 *
 * @copyright   Copyright (C) 2023 JoomShaper <https://www.joomshaper.com>. All rights reserved.
 * @license     GNU General Public License version 3; see LICENSE
 */

namespace JoomShaper\Component\EasyStore\Site\View\Payment;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Application\CMSApplication;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

/**
 * View for the user identity validation form
 */
class HtmlView extends BaseHtmlView
{
    /**
     * Display the view
     *
     * @param   string  $template  The name of the layout file to parse.
     * @return  void
     */
    public function display($template = null)
    {
        /** @var CMSApplication */
        $app   = Factory::getApplication();
        $input = $app->getInput();
        $view  = $input->get('layout', '', 'STRING');
        $type  = $input->get('type', '', 'STRING');

        $this->text = $type ? Text::_('COM_EASYSTORE_PAYMENT_MANUAL_PAYMENT') : Text::_('COM_EASYSTORE_PAYMENT_SUCCESS');

        $this->_layout = ($view === 'success') ? 'success' : 'cancel';

        parent::display($template);
    }
}
