<?php

/**
 * @package SP Page Builder
 * @author JoomShaper https://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2023 JoomShaper
 * @license https://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */
//no direct access
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

SpAddonsConfig::addonConfig([
    'type'       => 'sample',
    'addon_name' => 'sample',
    'title'      => Text::_('Sample'),
    'desc'       => Text::_('COM_SPPAGEBUILDER_ADDON_BUTTON_GROUP_DESC'),
    'category'   => 'Content',
    'icon'       => '<svg viewBox="0 0 32 32" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M10 13a1 1 0 011-1h10a1 1 0 110 2H11a1 1 0 01-1-1z" fill="currentColor"/><path fill-rule="evenodd" clip-rule="evenodd" d="M5 7c-1.648 0-3 1.352-3 3v8c0 1.648 1.352 3 3 3h3a1 1 0 110 2H5c-2.752 0-5-2.248-5-5v-8c0-2.752 2.248-5 5-5h22c2.752 0 5 2.248 5 5v8c0 2.752-2.248 5-5 5h-3a1 1 0 110-2h3c1.648 0 3-1.352 3-3v-8c0-1.648-1.352-3-3-3H5z" fill="currentColor"/><path opacity=".5" d="M16 17c-2.75 0-5 2.25-5 5s2.25 5 5 5 5-2.25 5-5-2.25-5-5-5zm2 5.625h-1.375V24c0 .375-.25.625-.625.625s-.625-.25-.625-.625v-1.375H14c-.375 0-.625-.25-.625-.625s.25-.625.625-.625h1.375V20c0-.375.25-.625.625-.625s.625.25.625.625v1.375H18c.375 0 .625.25.625.625s-.25.625-.625.625z" fill="currentColor"/></svg>',
    'settings' => [
        'general_options' => [
            'title' => 'General',
            'fields' => [
                'type' => [
                    'type'   => 'buttons',
                    'title' => 'Action type',
                    'values' => [
                        ['label' => Text::_('COM_SPPAGEBUILDER_GLOBAL_NORMAL'), 'value' => 'normal'],
                        ['label' => Text::_('COM_SPPAGEBUILDER_GLOBAL_HOVER'), 'value' => 'hover'],
                    ],
                    'std'    => 'normal',
                ],
                'normal_color' => [
                    'type'   => 'color',
                    'title' => 'Text color',
                    'std'    => '#000000',
                    'depends' => [['type', '=', 'normal']]
                ],
                'hover_color' => [
                    'type'   => 'color',
                    'title' => 'Text hover color',
                    'std'    => '#000000',
                    'depends' => [['type', '=', 'hover']]
                ],
            ]
        ],
        'basic_options' => [
            'title' => 'Basic',
            'fields' => [
                'repeatable_item' => [
                    'type' => 'repeatable',
                    'title' => 'Sample Item',
                    'attr'  => [
                        'inner_group' => [
                            'title' => 'Basic',
                            'fields' => [
                                'tab' => [
                                    'type'   => 'buttons',
                                    'std'    => 'normal',
                                    'values' => [
                                        ['label' => 'Basic', 'value' => 'basic'],
                                        ['label' => 'Icon', 'value' => 'icon'],
                                        ['label' => 'Typography', 'value' => 'typography'],
                                        ['label' => 'Link', 'value' => 'link'],
                                        ['label' => 'Color', 'value' => 'color', 'depends' => [['type', '=', 'custom']]],
                                    ],
                                    'std'   => 'basic',
                                    'tabs'    => true,
                                ],

                                'title' => [
                                    'type'  => 'text',
                                    'title' => Text::_('COM_SPPAGEBUILDER_GLOBAL_TEXT'),
                                    'desc'  => Text::_('COM_SPPAGEBUILDER_GLOBAL_BUTTON_TEXT_DESC'),
                                    'inline' => true,
                                    'std'   => 'Button',
                                    'depends' => [['tab', '=', 'basic']]
                                ],
                            ]
                        ],
                        'another_group' => [
                            'title' => 'Advanced',
                            'fields' => [
                                'use_border' => [
                                    'type'       => 'checkbox',
                                    'title'      => 'Use border',
                                    'std'        => ['xl' => 0],
                                    'is_header' => 1
                                ],
                                'border_color' => [
                                    'type' => 'color',
                                    'title' => 'Color',
                                    'depends' => [['use_border', '=', 1]]
                                ]
                            ]
                        ]
                    ],
                ]

            ]
        ],
    ],
]);
